# Tag Name: action

## Description

Execute an action from within a view

## Attributes

#### Name | #### Required | #### Default | #### Evaluated | #### Type | #### Description
--- | --- | --- | --- | --- | ---
executeResult | false | false | true | Boolean | Whether the result of this action (probably a view) should be executed/rendered
flush | false | true | true | Boolean | Whether the writer should be flush upon end of action component tag, default to true
id | false |  | true | String | Deprecated. Use 'var' instead
ignoreContextParams | false | false | true | Boolean | Whether the request parameters are to be included when the action is invoked
name | true |  | true | String | Name of the action to be executed (without the extension suffix eg. .action)
namespace | false | namespace from where tag is used | true | String | Namespace for action to call
var | false |  | true | String | Name used to reference the value pushed into the Value Stack